import { Player, system, world } from "@minecraft/server";

world.beforeEvents.itemUse.subscribe(({ source, itemStack }) => {
    //console.warn(itemStack.typeId)
    if (itemStack.typeId == "minecraft:fire_charge") {
        system.run(() => {
            source.runCommand("clear @s fire_charge 0 1")
source.runCommand("playsound mob.ghast.fireball @s ~~~ 1")
            let loc = { x: source.location.x + source.getViewDirection().x * 1.5, y: source.location.y + source.getViewDirection().y * 1.5, z: source.location.z + source.getViewDirection().z * 1.5 }
            let fireball = source.dimension.spawnEntity("minecraft:fireball", loc)
            fireball.applyImpulse(source.getViewDirection())
        })
    }
})

